apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: gitlab-external-secret-example
spec:
  refreshInterval: 1h

  secretStoreRef:
    kind: SecretStore
    name: gitlab-secret-store # Must match SecretStore on the cluster

  target:
    name: gitlab-secret-to-create # Name for the secret to be created on the cluster
    creationPolicy: Owner

  data:
    - secretKey: secretKey # Key given to the secret to be created on the cluster
      remoteRef: 
        key: myGitlabVariable # Key of the variable on Gitlab